import { isLoadedMarkdownPage } from "../../shared";
import { derived } from "./store";
const createMarkdownStore = (page) => derived(
  page,
  ($page) => isLoadedMarkdownPage($page) ? $page.meta : void 0
);
const createFrontmatterStore = (markdown) => derived(markdown, ($meta) => $meta?.frontmatter ?? {});
export {
  createFrontmatterStore,
  createMarkdownStore
};
